API ReferenceapicommsGET /v1/push/subscriptions/{person_id}

GET /v1/push/subscriptions/\{person_id\}

Service: comms · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • person_id (string) required

Query parameters

  • brand_id (string) required

Responses

200 Push subscriptions for person

{
  "type": "object",
  "properties": {
    "data": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "brand_id": {
            "type": "string"
          },
          "person_id": {
            "type": "string"
          },
          "endpoint": {
            "type": "string"
          },
          "created_at": {
            "type": "string"
          },
          "expires_at": {
            "type": [
              "string",
              "null"
            ]
          }
        },
        "required": [
          "id",
          "brand_id",
          "person_id",
          "endpoint",
          "created_at",
          "expires_at"
        ]
      }
    }
  },
  "required": [
    "data"
  ]
}

Example

curl -X GET https://comms.platform.loop.health/v1/push/subscriptions/{person_id} \
  -H "Authorization: Bearer $ACCESS_TOKEN"